Items

items_get

  • Get the detailed information about a LucidID

  • Includes a list of all collections of which this item is a member

Endpoint

GET /api/v1.5/items/<uuid>/

Response

{
    "created": "2021-02-05T19:26:28.351377Z",
    "uuid": "<uuid>",
    "brand_uuid": "<uuid>",
    "product_uuid": "<uuid>",
    "batch_uuid": "<uuid>",
    "digital_coa_uuids": [
      "<uuid>",
      "<uuid>"
    ],
    "collections": [
        {
            "uuid": "<uuid>",
            "identifier": "<uuid>",
            "collection_type": "collection",
            "added_on": "2022-02-23T12:18:53.806613Z",
            "name": "test 1",
            "is_public": false,
            "removed_on": null
        },
        {
            "uuid": "<uuid>",
            "identifier": "<uuid>",
            "collection_type": "collection",
            "added_on": "2022-02-23T12:18:53.806613Z",
            "name": "test 2",
            "is_public": false,
            "removed_on": null
        },
        {
            "uuid": "<uuid>",
            "identifier": "<uuid>",
            "collection_type": "collection",
            "added_on": "2022-02-23T12:18:53.806613Z",
            "name": "test 3",
            "is_public": false,
            "removed_on": null
        },
        {
            "uuid": "<uuid>",
            "identifier": "<uuid>",
            "collection_type": "collection",
            "added_on": "2022-02-23T12:18:53.806613Z",
            "name": "test 4",
            "is_public": false,
            "removed_on": null
        }
    ],
    "removed_collections": [
        {
            "uuid": "<uuid>",
            "identifier": "<uuid>",
            "collection_type": "collection",
            "added_on": "2022-02-23T12:18:53.806613Z",
            "name": "test 5",
            "is_public": false,
            "removed_on": null
        }
    ]
}

Response Fields

Field

Type

Description

created

datetime

When the LucidID was created

uuid

uuid

Unique identifier for the item (LucidID)

brand_uuid

uuid

UUID of the associated brand

product_uuid

uuid

UUID of the associated product

batch_uuid

uuid

UUID of the associated batch

digital_coa_uuids

array

UUIDs of associated Digital COAs

collections

array

Collections this item belongs to (see below)

removed_collections

array

Collections this item was removed from

Collection Fields

Field

Type

Description

uuid

uuid

Collection identifier

identifier

string

Human-readable collection identifier

collection_type

string

Type of collection (e.g., “collection”, “case”, “regulator”)

added_on

datetime

When the item was added to this collection

name

string

Collection name

is_public

boolean

Whether the collection is publicly visible

removed_on

datetime or null

When the item was removed, or null if still active

item_collections_removed

Lists all Collections that have been removed from a specified LucidID

  • LucidID must exist

Endpoint

GET /api/v1.5/lucid-ids/<uuid>/removed-collections/

Response

{
    "batch_uuid": "<uuid>",
    "brand_uuid": "<uuid>",
    "claimed_by_user_uuid": null,
    "claimed_on": null,
    "removed_collections": [
        {
            "added_on": "2021-07-30T16:10:44.295893Z",
            "collection_type": "case",
            "company_uuid": "<uuid>",
            "identifier": "<uuid>",
            "is_public": true,
            "name": "",
            "removed_on": "2021-08-30T18:22:44.123456Z",
            "uuid": "<uuid>"
        }
    ],
    "counterfeit_on": null,
    "created": "2021-05-25T16:27:53.106483Z",
    "dispensary_uuid": "<uuid>",
    "is_claimed": false,
    "is_counterfeit": false,
    "is_paired": true,
    "paired_on": "2021-05-25T16:27:54.134344Z",
    "product_uuid": "<uuid>",
    "uuid": "<uuid>"
}